## ros-noetic-rwt-speech-recognition 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_speech_recognition)

find_package(catkin REQUIRED COMPONENTS
  rosbridge_server
  roswww
  rwt_utils_3rdparty
  speech_recognition_msgs
)

catkin_package(
  CATKIN_DEPENDS rosbridge_server roswww rwt_utils_3rdparty speech_recognition_msgs
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch rostest)

  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/test_rwt_speech_recognition.test)
endif()

## ros-noetic-rwt-speech-recognition 0.1.1

=== debian/changelog ===
ros-noetic-rwt-speech-recognition (0.1.1-2buster) buster; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.1.0-2buster) buster; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * add test for rwt tools (#110 <https://github.com/tork-a/visualization_rwt/issues/110>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.5-2buster) buster; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.4-2buster) buster; urgency=high

  * Add settings for ROS connection (#76 <https://github.com/tork-a/visualization_rwt//issues/76>)
  * Modified rwt's javascript module path. (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Yuki Furuta, Kei Okada, Iory Yanokura

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.3-2buster) buster; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.2-2buster) buster; urgency=high

  * Fix to work as of 2016/10/1 #63 <https://github.com/tork-a/visualization_rwt/issues/63>
    
      * update README
      * update status texts
      * show selected language
      * do not overray mode when push continus/once
      * you can not use li value, use data-value http://stackoverflow.com/questions/31027506/get-value-attribute-from-an-li-element
      * fix rwt_speech_recognition.js path
    
  * remove old rosbuild files
  * reomve depends to the packages released from CDN
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * publish confidences; fix message type texts -> transcript #48 <https://github.com/tork-a/visualization_rwt/issues/48>
    
      * remove .msg from message type
      * publish confidences; fix message type texts -> transcript
      * catkinize visualization_rwt packages
      * fix typo in index.html
    
  * add rwt_speech_recognition
  * Contributors: Yuki Furuta, Isaac Saito, Kei Okada

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-rwt-speech-recognition
Section: misc
Priority: optional
Maintainer: Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosbridge-server, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-speech-recognition-msgs
Homepage: http://wiki.ros.org/rwt_speech_recognition
Standards-Version: 3.9.2

Package: ros-noetic-rwt-speech-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosbridge-server, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-speech-recognition-msgs
Description: The rwt_speech_recognition package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rwt-speech-recognition//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rwt-speech-recognition 0.1.3

=== debian/changelog ===
ros-noetic-rwt-speech-recognition (0.1.3-1focal) focal; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Wed, 31 May 2023 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.1.2-1focal) focal; urgency=high

  * fix for noetic (#130 <https://github.com/tork-a/visualization_rwt//issues/130>)
    
      * fix test code for selenium version >= 4.3.0
    
  * Contributors: Kei Okada

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Mon, 29 May 2023 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.1.1-1focal) focal; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.1.0-1focal) focal; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * add test for rwt tools (#110 <https://github.com/tork-a/visualization_rwt/issues/110>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.5-1focal) focal; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.4-1focal) focal; urgency=high

  * Add settings for ROS connection (#76 <https://github.com/tork-a/visualization_rwt//issues/76>)
  * Modified rwt's javascript module path. (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Yuki Furuta, Kei Okada, Iory Yanokura

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.3-1focal) focal; urgency=high



 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-rwt-speech-recognition (0.0.2-1focal) focal; urgency=high

  * Fix to work as of 2016/10/1 #63 <https://github.com/tork-a/visualization_rwt/issues/63>
    
      * update README
      * update status texts
      * show selected language
      * do not overray mode when push continus/once
      * you can not use li value, use data-value http://stackoverflow.com/questions/31027506/get-value-attribute-from-an-li-element
      * fix rwt_speech_recognition.js path
    
  * remove old rosbuild files
  * reomve depends to the packages released from CDN
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * publish confidences; fix message type texts -> transcript #48 <https://github.com/tork-a/visualization_rwt/issues/48>
    
      * remove .msg from message type
      * publish confidences; fix message type texts -> transcript
      * catkinize visualization_rwt packages
      * fix typo in index.html
    
  * add rwt_speech_recognition
  * Contributors: Yuki Furuta, Isaac Saito, Kei Okada

 -- Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Isaac IY Saito <iiysaito@opensource-robotics.tokyo.jp>
-Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosbridge-server, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-speech-recognition-msgs
+Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosbridge-server, ros-noetic-roslaunch <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-roswww, ros-noetic-rwt-utils-3rdparty, ros-noetic-speech-recognition-msgs
 Homepage: http://wiki.ros.org/rwt_speech_recognition
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
